## DzlProgressMenuButton DzlProgressMenuButton |

## Functions

GtkWidget * | dzl_progress_menu_button_new ()
gdouble | dzl_progress_menu_button_get_progress ()
void | dzl_progress_menu_button_set_progress ()
gboolean | dzl_progress_menu_button_get_show_theatric ()
void | dzl_progress_menu_button_set_show_theatric ()
void | dzl_progress_menu_button_reset_theatrics ()
gboolean | dzl_progress_menu_button_get_show_progress ()
void | dzl_progress_menu_button_set_show_progress ()

## Properties

gdouble | progress | Read / Write
gboolean | show-progress | Read / Write
gboolean | show-theatric | Read / Write
gchar * | theatric-icon-name | Read / Write
guint | transition-duration | Read / Write

## Types and Values

#define | DZL_TYPE_PROGRESS_MENU_BUTTON
struct | DzlProgressMenuButtonClass
| DzlProgressMenuButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── GtkToggleButton
                                ╰── GtkMenuButton
                                    ╰── DzlProgressMenuButton

## Implemented Interfaces

DzlProgressMenuButton implements AtkImplementorIface, GtkBuildable, GtkActionable and GtkActivatable.

## Description

## Functions

### dzl_progress_menu_button_new ()

    GtkWidget *
    dzl_progress_menu_button_new (void);

### dzl_progress_menu_button_get_progress ()

    gdouble
    dzl_progress_menu_button_get_progress (DzlProgressMenuButton *button);

### dzl_progress_menu_button_set_progress ()

    void
    dzl_progress_menu_button_set_progress (DzlProgressMenuButton *button,
                                           gdouble progress);

### dzl_progress_menu_button_get_show_theatric ()

    gboolean
    dzl_progress_menu_button_get_show_theatric
                                   (DzlProgressMenuButton *self);

### dzl_progress_menu_button_set_show_theatric ()

    void
    dzl_progress_menu_button_set_show_theatric
                                   (DzlProgressMenuButton *self,
                                    gboolean show_theatic);

### dzl_progress_menu_button_reset_theatrics ()

    void
    dzl_progress_menu_button_reset_theatrics
                                   (DzlProgressMenuButton *self);

To avoid suprious animations from the button, you must call this function any time you want to allow animations to continue. This is because animations are automatically started upon reaching a progress of 1.0.

If you are performing operations in the background, calling this function every time you add an operation is a good strategry.

#### Parameters

self | a DzlProgressMenuButton |

### dzl_progress_menu_button_get_show_progress ()

    gboolean
    dzl_progress_menu_button_get_show_progress
                                   (DzlProgressMenuButton *self);

### dzl_progress_menu_button_set_show_progress ()

    void
    dzl_progress_menu_button_set_show_progress
                                   (DzlProgressMenuButton *self,
                                    gboolean show_progress);

## Types and Values

### DZL_TYPE_PROGRESS_MENU_BUTTON

    #define DZL_TYPE_PROGRESS_MENU_BUTTON (dzl_progress_menu_button_get_type())

### struct DzlProgressMenuButtonClass

    struct DzlProgressMenuButtonClass {
      GtkMenuButtonClass parent_class;

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
    };

### DzlProgressMenuButton

    typedef struct _DzlProgressMenuButton DzlProgressMenuButton;

## Property Details

### The `“progress”` property

      “progress”                 gdouble

Progress.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“show-progress”` property

      “show-progress”            gboolean

Show progress instead of image.

Flags: Read / Write

Default value: TRUE

### The `“show-theatric”` property

      “show-theatric”            gboolean

Show Theatric.

Flags: Read / Write

Default value: TRUE

### The `“theatric-icon-name”` property

      “theatric-icon-name”       gchar *

Theatric Icon Name.

Flags: Read / Write

Default value: "folder-download-symbolic"

### The `“transition-duration”` property

      “transition-duration”      guint

Transition Duration.

Flags: Read / Write

Allowed values: <= 5000

Default value: 750